Summary:	Python bindings for Galago
Summary(pl.UTF-8):	Wiązania Pythona do Galago
Name:		python-galago
Version:	0.5.0
Release:	5
License:	GPL
Group:		Libraries/Python
Source0:	http://galago-project.org/files/releases/source/galago-python/galago-python-%{version}.tar.bz2
# Source0-md5:	27be31fcf2886aa21823caec15dc34aa
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgalago-devel >= 0.5.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-pygtk-devel >= 2:2.4.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	libgalago >= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for Galago.

%description -l pl.UTF-8
Wiązania Pythona do Galago.

%prep
%setup -q -n galago-python-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} \
	PYTHON="%{__python}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PYTHON="%{__python}" \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{py_sitedir}/gtk-2.0/galago
%{py_sitedir}/gtk-2.0/galago/*.py[co]
%attr(755,root,root) %{py_sitedir}/gtk-2.0/galago/*.so
%{_datadir}/pygtk/*/defs/galago.defs
%{_pkgconfigdir}/galago-python.pc
%changelog
* Mon Dec 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-galago.git;a=log;h=master

* Mon Dec 21 2015 Jan Rękorajski <baggins@pld-linux.org> fdc75ae
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 86ac1c6
- release 4 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> dd8bcae
- auto*ize
- BR: autoconf, automake, libtool

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 274b9d3
- release 3

* Sat Oct 11 2008 Patryk Zawadzki <patrys@room-303.com> 7b3a182
- rel 2

* Fri May 25 2007 Jakub Bogusz <qboosh@pld-linux.org> d4d04e0
- well, leave versioned libgalago R

* Fri May 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 55e8a15
- libgalago R should be autogenerated

* Fri May 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 2e7d944
- more deps, cleanup

* Wed May 23 2007 Patryk Zawadzki <patrys@room-303.com> 683fb23
- no gtk req

* Wed May 23 2007 Patryk Zawadzki <patrys@room-303.com> ffa00f6
- initial PLD release

